Bug 155459 - Cannot select JRE in external ant task
Summary: Cannot select JRE in external ant task
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: eclipse-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-20 15:30 UTC by Brian G. Anderson
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-05 19:52:40 UTC
Type: ---


Attachments (Terms of Use)

Description Brian G. Anderson 2005-04-20 15:30:50 UTC
Description of problem:
I am trying to invoke an external ant task (using 'Run->External tools...'). 
When setting it up I go to the 'JRE' tab and select the 'Seperate JRE' button I
always get a 'JRE not specified' error at the top of the dialog.  Now
'java-1.4.2-gcj-1.4.20' is offered as a default (which also passes muster when
adding installed JRE's from the window->preferences screen), but the error never
goes away.  I tried installing Sun's Java and got the same error message.  It
only seems to accept 'run from same virtual machine'

Version-Release number of selected component (if applicable):
eclipse-jdt-3.1.0_fc-0.M6.7


How reproducible:
always


Steps to Reproduce:
1. see above
2.
3.
  
Actual results:
error message about no JRE select

Expected results:
accept external JRE


Additional info:

Comment 1 Andrew Overholt 2005-05-04 14:16:43 UTC
I can't seem to duplicate this.  If the error is happening with Sun's JVM as
well, then it's probably an upstream bug.

Can you provide a more detailed test case?

Comment 2 Andrew Overholt 2006-10-05 19:52:40 UTC
If this happens again, please reopen.


Note You need to log in before you can comment on or make changes to this bug.